import { CheckoutCfgName } from "../../../enum/checkout-cfg-name.enum";
import { Icon } from "../../../enum/icon.enum";
import { IconCacheService } from "../../../service/icon-cache.service";
import { StepperStepComponent } from "../../stepper-step/stepper-step.component";
export declare class StepperBaseComponent {
    iconCacheService: IconCacheService;
    readonly cfgNames: typeof CheckoutCfgName;
    readonly icons: typeof Icon;
    title: string;
    titleIcon: Icon;
    set content(children: any);
    set stepChildren(value: StepperStepComponent[]);
    get stepChildren(): StepperStepComponent[];
    set activeStep(value: number);
    get activeStep(): number;
    get finished(): boolean;
    firstStep: number;
    lastStep: number;
    private _stepChildren;
    private _activeStep;
    constructor(iconCacheService: IconCacheService);
    prepareSteps(): void;
    protected setActive(idx: number): void;
    protected validateCurrentStep(): void;
}
